#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct PrefixTreeTooLarge {
    #[serde(rename = "numNodes")]
    num_nodes: i32,
    #[serde(rename = "maxNodes")]
    max_nodes: i32,
}
impl PrefixTreeTooLarge {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(num_nodes: i32, max_nodes: i32) -> Self {
        Self::builder().num_nodes(num_nodes).max_nodes(max_nodes).build()
    }
    #[inline]
    pub fn num_nodes(&self) -> i32 {
        self.num_nodes
    }
    #[inline]
    pub fn max_nodes(&self) -> i32 {
        self.max_nodes
    }
}
impl conjure_error::ErrorType for PrefixTreeTooLarge {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "DataSource:PrefixTreeTooLarge"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["maxNodes", "numNodes"]
    }
}
